LemmaEvaluationErrorListener (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.cmdline.lemmatizer

## Class LemmaEvaluationErrorListener

- java.lang.Object
- - opennlp.tools.cmdline.EvaluationErrorPrinter<LemmaSample>
  - - opennlp.tools.cmdline.lemmatizer.LemmaEvaluationErrorListener

- All Implemented Interfaces:
    LemmatizerEvaluationMonitor, EvaluationMonitor<LemmaSample>

      public class LemmaEvaluationErrorListener
      extends opennlp.tools.cmdline.EvaluationErrorPrinter<LemmaSample>
      implements LemmatizerEvaluationMonitor

  A default implementation of `EvaluationMonitor` that prints to an output stream.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LemmaEvaluationErrorListener()` Creates a listener that will print to System.err
    `LemmaEvaluationErrorListener(OutputStream outputStream)` Creates a listener that will print to a given `OutputStream`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `missclassified(LemmaSample reference, LemmaSample prediction)`

    - ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

      `correctlyClassified`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

      `correctlyClassified`

- - ### Constructor Detail

    - #### LemmaEvaluationErrorListener

          public LemmaEvaluationErrorListener()

      Creates a listener that will print to System.err

    - #### LemmaEvaluationErrorListener

          public LemmaEvaluationErrorListener(OutputStream outputStream)

      Creates a listener that will print to a given `OutputStream`

  - ### Method Detail

    - #### missclassified

          public void missclassified(LemmaSample reference,
                                     LemmaSample prediction)

      Specified by:
        `missclassified` in interface `EvaluationMonitor<LemmaSample>`
      Specified by:
        `missclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<LemmaSample>`

Copyright © 2026 The Apache Software Foundation. All rights reserved.